"""Exceptions"""


class NilmDBError(Exception):
    """Base exception for NilmDB errors"""
    def __init__(self, msg="Unspecified error"):
        super().__init__(msg)


class StreamError(NilmDBError):
    pass


class OverlapError(NilmDBError):
    pass
